libobjc: Remove Traditional Objective-C runtime API

Nicola Pero nicola.pero@meta-innovation.com
Wed Jun 8 08:41:00 GMT 2011


I also bumped the API version #define marker.

Committed to trunk.

Thanks

Index: ChangeLog
===================================================================
--- ChangeLog	(revision 174798)
+++ ChangeLog	(working copy)
@@ -1,5 +1,9 @@
 2011-06-08  Nicola Pero  <nicola.pero@meta-innovation.com>
 
+	* objc/objc.h (__GNU_LIBOBJC__): Bumped to 20110608.
+
+2011-06-08  Nicola Pero  <nicola.pero@meta-innovation.com>
+
 	* configure.ac (VERSION): Bumped to 4:0:0.
 	* configure (VERSION): Likewise.
 
Index: objc/objc.h
===================================================================
--- objc/objc.h	(revision 174797)
+++ objc/objc.h	(working copy)
@@ -43,7 +43,7 @@
    release).  This macro is only defined starting with the GNU
    Objective-C Runtime shipped with GCC 4.6.0.  If it is not defined,
    it is either an older version of the runtime, or another runtime.  */
-#define __GNU_LIBOBJC__ 20100911
+#define __GNU_LIBOBJC__ 20110608
 
 /* Definition of the boolean type.



More information about the Gcc-patches mailing list